variables:
    IMAGE_NAME: forever007/forever007_demo_app
    IMAGE_TAG: python-app-1.0


stages:
    - test
    - build

run_tests:
    stage: test
    image: python:3.9-slim-buster
    before_script:
        - apt-get update && apt-get install make
    script:
        - make test

build_image:
    stage: build
    image: docker:23.0.5-cli
    services:
        - docker:23.0.5-dind
    variables:
        DOCKER_TLS_CERTDIR: "/certs"
    before_script:
        - docker login -u $REGISTRY_USER -p $REGISTRY_PASS
    script:
        - docker build -t $IMAGE_NAME:$IMAGE_PASS .
        
        - docker push $IMAGE_NAME:$IMAGE_PASS


